<?php
/**
 * Bitrix Framework
 * @package bitrix
 * @subpackage main
 * @copyright 2001-2012 Bitrix
 */
namespace Bitrix\Main;

class PublicPage extends Page
{
	/** @var \Bitrix\Main\Site */
	protected $site;

	/** @var \Bitrix\Main\SiteTemplate */
    protected $siteTemplate;

    public function __construct(Application $application)
	{
		parent::__construct($application);

		$this->initializeSite();
		$this->initializeCulture();
	}

	protected function initializeSite()
	{
		$this->site = Site::getCurrent($this->application);
	}

	protected function initializeCulture()
	{
		$this->application->getContext()->setCulture($this->site->getCulture());
	}
}
